Name:          libdisplay-info
Version:       0.2.0
Release:       1mamba
Summary:       EDID and DisplayID library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://gitlab.freedesktop.org/emersion/libdisplay-info
Source:        https://gitlab.freedesktop.org/emersion/libdisplay-info.git/%{version}/libdisplay-info-%{version}.tar.bz2
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
BuildRequires: meson

%description
EDID and DisplayID library.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%package tools
Group:         System/Tools
Summary:       Utility applications for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
This package contains utility applications for %{name}.

%debug_package

%prep
%setup -q

%build
%meson
%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libdisplay-info.so.*
%doc LICENSE

%files devel
%defattr(-,root,root)
%dir %{_includedir}/libdisplay-info
%{_includedir}/libdisplay-info/*.h
%{_libdir}/libdisplay-info.so
%{_libdir}/pkgconfig/libdisplay-info.pc
%doc README.md

%files tools
%defattr(-,root,root)
%{_bindir}/di-edid-decode

%changelog
* Fri Jun 21 2024 Automatic Build System <autodist@openmamba.org> 0.2.0-1mamba
- automatic version update by autodist

* Thu Feb 01 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.1-1mamba
- package created using the webbuild interface
